diff --git a/gcc/tree-vect-data-refs.c b/gcc/tree-vect-data-refs.c
index ad924d8..c8c8f67 100644
--- a/gcc/tree-vect-data-refs.c
+++ b/gcc/tree-vect-data-refs.c
@@ -72,7 +72,7 @@ vect_lanes_optab_supported_p (const char *name, convert_optab optab,
       limit_p = !targetm.array_mode_supported_p (mode, count);
       if (!int_mode_for_size (bits, limit_p).exists (&array_mode))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "no array mode for %s["
 			     HOST_WIDE_INT_PRINT_DEC "]\n",
@@ -83,14 +83,14 @@ vect_lanes_optab_supported_p (const char *name, convert_optab optab,
 
   if (convert_optab_handler (optab, array_mode, mode) == CODE_FOR_nothing)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
                          "cannot use %s<%s><%s>\n", name,
                          GET_MODE_NAME (array_mode), GET_MODE_NAME (mode));
       return false;
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "can use %s<%s><%s>\n", name, GET_MODE_NAME (array_mode),
                      GET_MODE_NAME (mode));
@@ -181,7 +181,7 @@ vect_check_nonzero_value (loop_vec_info loop_vinfo, tree value)
     if (checks[i] == value)
       return;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "need run-time check that ");
       dump_generic_expr (MSG_NOTE, TDF_SLIM, value);
@@ -338,7 +338,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
       if (STMT_VINFO_GATHER_SCATTER_P (stmtinfo_a)
 	  || STMT_VINFO_GATHER_SCATTER_P (stmtinfo_b))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "versioning for alias not supported for: "
@@ -353,7 +353,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	  return true;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "versioning for alias required: "
@@ -386,7 +386,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
       if (STMT_VINFO_GATHER_SCATTER_P (stmtinfo_a)
 	  || STMT_VINFO_GATHER_SCATTER_P (stmtinfo_b))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "versioning for alias not supported for: "
@@ -401,7 +401,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	  return true;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_FAILURE,
                            "versioning for alias required: "
@@ -426,13 +426,13 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
     {
       int dist = dist_v[loop_depth];
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
                          "dependence distance  = %d.\n", dist);
 
       if (dist == 0)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 	                       "dependence distance == 0 between ");
@@ -462,7 +462,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	     where loads from the group interleave with the store.  */
 	  if (!vect_preserves_scalar_order_p (DR_STMT (dra), DR_STMT (drb)))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "READ_WRITE dependence in interleaving.\n");
 	      return true;
@@ -475,7 +475,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 		vect_check_nonzero_value (loop_vinfo, indicator);
 	      else if (integer_zerop (indicator))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_FAILURE,
 				 "access also has a zero step\n");
 		  return true;
@@ -489,7 +489,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	  /* If DDR_REVERSED_P the order of the data-refs in DDR was
 	     reversed (to make distance vector positive), and the actual
 	     distance is negative.  */
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 	                     "dependence distance negative.\n");
 	  /* Record a negative dependence distance to later limit the
@@ -508,7 +508,7 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	  /* The dependence distance requires reduction of the maximal
 	     vectorization factor.  */
 	  *max_vf = abs (dist);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 	                     "adjusting maximal vectorization factor to %i\n",
 	                     *max_vf);
@@ -518,13 +518,13 @@ vect_analyze_data_ref_dependence (struct data_dependence_relation *ddr,
 	{
 	  /* Dependence distance does not create dependence, as far as
 	     vectorization is concerned, in this case.  */
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 	                     "dependence distance >= VF.\n");
 	  continue;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 	               "not vectorized, possible dependence "
@@ -554,7 +554,7 @@ vect_analyze_data_ref_dependences (loop_vec_info loop_vinfo,
   unsigned int i;
   struct data_dependence_relation *ddr;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_analyze_data_ref_dependences ===\n");
 
@@ -619,7 +619,7 @@ vect_slp_analyze_data_ref_dependence (struct data_dependence_relation *ddr)
   /* Unknown data dependence.  */
   if (DDR_ARE_DEPENDENT (ddr) == chrec_dont_know)
     {
-      if  (thing_enabled_p ())
+      if  (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "can't determine dependence between ");
@@ -629,7 +629,7 @@ vect_slp_analyze_data_ref_dependence (struct data_dependence_relation *ddr)
 	  dump_printf (MSG_MISSED_OPTIMIZATION,  "\n");
 	}
     }
-  else if (thing_enabled_p ())
+  else if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "determined dependence between ");
@@ -724,7 +724,7 @@ vect_slp_analyze_node_dependences (slp_instance instance, slp_tree node,
 bool
 vect_slp_analyze_instance_dependence (slp_instance instance)
 {
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_slp_analyze_instance_dependence ===\n");
 
@@ -784,7 +784,7 @@ vect_record_base_alignment (vec_info *vinfo, gimple *stmt,
   if (!existed || entry->base_alignment < drb->base_alignment)
     {
       entry = drb;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "recording new base alignment for ");
@@ -867,7 +867,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
   tree ref = DR_REF (dr);
   tree vectype = STMT_VINFO_VECTYPE (stmt_info);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "vect_compute_data_ref_alignment:\n");
 
@@ -902,7 +902,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
       step_preserves_misalignment_p
 	= (DR_STEP_ALIGNMENT (dr) % vector_alignment) == 0;
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  if (step_preserves_misalignment_p)
 	    vect_location_writeln (OPT_RECORD_REMARK,
@@ -924,7 +924,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
       step_preserves_misalignment_p
 	= multiple_p (DR_STEP_ALIGNMENT (dr) * vf, vector_alignment);
 
-      if (!step_preserves_misalignment_p && thing_enabled_p ())
+      if (!step_preserves_misalignment_p && optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "step doesn't divide the vector alignment.\n");
     }
@@ -947,7 +947,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
 	 negative when computing the starting misalignment below.  */
       || TREE_CODE (drb->step) != INTEGER_CST)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 	                   "Unknown alignment for access: ");
@@ -965,7 +965,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
 	  || !vect_can_force_dr_alignment_p (base,
 					     vector_alignment * BITS_PER_UNIT))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 	                       "can't force alignment of ref: ");
@@ -978,7 +978,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
       /* Force the alignment of the decl.
 	 NOTE: This is the only change to the code we make during
 	 the analysis phase, before deciding to vectorize the loop.  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_REMARK, "force alignment of ");
           dump_generic_expr (MSG_NOTE, TDF_SLIM, ref);
@@ -1004,7 +1004,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
   if (!known_misalignment (misalignment, vector_alignment,
 			   &const_misalignment))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "Non-constant misalignment for access: ");
@@ -1016,7 +1016,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
 
   SET_DR_MISALIGNMENT (dr, const_misalignment);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_FAILURE,
                        "misalign = %d bytes of ref ", DR_MISALIGNMENT (dr));
@@ -1085,7 +1085,7 @@ vect_update_misalignment_for_peel (struct data_reference *dr,
       return;
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "Setting misalignment " \
 		     "to unknown (-1).\n");
   SET_DR_MISALIGNMENT (dr, DR_MISALIGNMENT_UNKNOWN);
@@ -1103,7 +1103,7 @@ verify_data_ref_alignment (data_reference_p dr)
     = vect_supportable_dr_alignment (dr, false);
   if (!supportable_dr_alignment)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  if (DR_IS_READ (dr))
 	    vect_location_writeln (OPT_RECORD_FAILURE,
@@ -1120,7 +1120,7 @@ verify_data_ref_alignment (data_reference_p dr)
       return false;
     }
 
-  if (supportable_dr_alignment != dr_aligned && thing_enabled_p ())
+  if (supportable_dr_alignment != dr_aligned && optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "Vectorizing an unaligned access.\n");
 
@@ -1216,7 +1216,7 @@ vector_alignment_reachable_p (struct data_reference *dr)
     {
       HOST_WIDE_INT elmsize =
 		int_cst_value (TYPE_SIZE_UNIT (TREE_TYPE (vectype)));
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 	                   "data size =" HOST_WIDE_INT_PRINT_DEC, elmsize);
@@ -1225,7 +1225,7 @@ vector_alignment_reachable_p (struct data_reference *dr)
 	}
       if (DR_MISALIGNMENT (dr) % elmsize)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 	                     "data size does not divide the misalignment.\n");
 	  return false;
@@ -1236,7 +1236,7 @@ vector_alignment_reachable_p (struct data_reference *dr)
     {
       tree type = TREE_TYPE (DR_REF (dr));
       bool is_packed = not_size_aligned (DR_REF (dr));
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 	                 "Unknown misalignment, %snaturally aligned\n",
 			 is_packed ? "not " : "");
@@ -1271,7 +1271,7 @@ vect_get_data_access_cost (struct data_reference *dr,
   else
     vect_get_store_cost (dr, ncopies, inside_cost, body_cost_vec);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "vect_get_data_access_cost: inside_cost = %d, "
                      "outside_cost = %d.\n", *inside_cost, *outside_cost);
@@ -1662,7 +1662,7 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
   unsigned int mis, same_align_drs_max = 0;
   hash_table<peel_info_hasher> peeling_htab (1);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_enhance_data_refs_alignment ===\n");
 
@@ -1828,7 +1828,7 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
         {
           if (!aligned_access_p (dr))
             {
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
                 vect_location_writeln (OPT_RECORD_FAILURE,
                                  "vector alignment may not be reachable\n");
               break;
@@ -2022,7 +2022,7 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
 	  if (STMT_VINFO_GROUPED_ACCESS (stmt_info))
 	    npeel /= GROUP_SIZE (stmt_info);
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_REMARK,
                              "Try peeling by %d\n", npeel);
         }
@@ -2057,7 +2057,7 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
               if (max_peel > max_allowed_peel)
                 {
                   do_peeling = false;
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     vect_location_writeln (OPT_RECORD_REMARK,
                         "Disable peeling, max peels reached: %d\n", max_peel);
                 }
@@ -2107,7 +2107,7 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
             LOOP_VINFO_PEELING_FOR_ALIGNMENT (loop_vinfo)
 	      = DR_MISALIGNMENT (dr0);
 	  SET_DR_MISALIGNMENT (dr0, 0);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_REMARK,
                                "Alignment of access forced using peeling.\n");
@@ -2232,12 +2232,12 @@ vect_enhance_data_refs_alignment (loop_vec_info loop_vinfo)
           stmt_vec_info stmt_info = vinfo_for_stmt (stmt);
           dr = STMT_VINFO_DATA_REF (stmt_info);
 	  SET_DR_MISALIGNMENT (dr, 0);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_REMARK,
                              "Alignment of access forced using versioning.\n");
         }
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
                          "Versioning for alignment will be applied.\n");
 
@@ -2300,7 +2300,7 @@ vect_find_same_alignment_drs (struct data_dependence_relation *ddr)
 
   STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_a).safe_push (drb);
   STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_b).safe_push (dra);
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "accesses have the same alignment: ");
@@ -2320,7 +2320,7 @@ vect_find_same_alignment_drs (struct data_dependence_relation *ddr)
 bool
 vect_analyze_data_refs_alignment (loop_vec_info vinfo)
 {
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_analyze_data_refs_alignment ===\n");
 
@@ -2349,7 +2349,7 @@ vect_analyze_data_refs_alignment (loop_vec_info vinfo)
 	      && !STMT_VINFO_GROUPED_ACCESS (stmt_info))
 	    continue;
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "not vectorized: can't calculate alignment "
 			     "for data ref.\n");
@@ -2383,7 +2383,7 @@ vect_slp_analyze_and_verify_node_alignment (slp_tree node)
 	  && ! vect_compute_data_ref_alignment (first_dr))
       || ! verify_data_ref_alignment (dr))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: bad data alignment in basic "
 			 "block.\n");
@@ -2401,7 +2401,7 @@ vect_slp_analyze_and_verify_node_alignment (slp_tree node)
 bool
 vect_slp_analyze_and_verify_instance_alignment (slp_instance instance)
 {
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_slp_analyze_and_verify_instance_alignment ===\n");
 
@@ -2455,7 +2455,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
 	 simply not include that gap.  */
       if ((dr_step % type_size) != 0)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 	                       "Step ");
@@ -2487,7 +2487,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
 	  GROUP_FIRST_ELEMENT (vinfo_for_stmt (stmt)) = stmt;
 	  GROUP_SIZE (vinfo_for_stmt (stmt)) = groupsize;
 	  GROUP_GAP (stmt_info) = groupsize - 1;
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 	                       "Detected single element interleaving ");
@@ -2500,7 +2500,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
 	  return true;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
  	  vect_location_writeln (OPT_RECORD_FAILURE,
 	                   "not consecutive access ");
@@ -2542,13 +2542,13 @@ vect_analyze_group_access_1 (struct data_reference *dr)
             {
               if (DR_IS_WRITE (data_ref))
                 {
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     vect_location_writeln (OPT_RECORD_FAILURE,
                                      "Two store stmts share the same dr.\n");
                   return false;
                 }
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Two or more load stmts share the same dr.\n");
 
@@ -2576,7 +2576,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
 	      slp_impossible = true;
 	      if (DR_IS_WRITE (data_ref))
 		{
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     vect_location_writeln (OPT_RECORD_FAILURE,
                                      "interleaved store with gaps\n");
 		  return false;
@@ -2604,7 +2604,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
          inefficient way we have to cap earlier.  See PR78699 for example.  */
       if (groupsize > 4096)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "group is too large\n");
 	  return false;
@@ -2615,7 +2615,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
       if (groupsize != count
 	  && !DR_IS_READ (dr))
         {
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "interleaved store with gaps\n");
 	  return false;
@@ -2628,7 +2628,7 @@ vect_analyze_group_access_1 (struct data_reference *dr)
       GROUP_GAP (vinfo_for_stmt (stmt)) = groupsize - last_accessed_element;
 
       GROUP_SIZE (vinfo_for_stmt (stmt)) = groupsize;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "Detected interleaving ");
@@ -2707,7 +2707,7 @@ vect_analyze_data_ref_access (struct data_reference *dr)
 
   if (loop_vinfo && !step)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 	                 "bad data-ref access in loop\n");
       return false;
@@ -2724,7 +2724,7 @@ vect_analyze_data_ref_access (struct data_reference *dr)
 	 loop-carried dependencies between inner loop iterations.  */
       if (loop->safelen < 2)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "zero step in inner loop of nest\n");
 	  return false;
@@ -2741,7 +2741,7 @@ vect_analyze_data_ref_access (struct data_reference *dr)
       step = STMT_VINFO_DR_STEP (stmt_info);
       if (integer_zerop (step))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 	                     "zero step in outer loop.\n");
 	  return DR_IS_READ (dr);
@@ -2764,7 +2764,7 @@ vect_analyze_data_ref_access (struct data_reference *dr)
 
   if (loop && nested_in_vect_loop_p (loop, stmt))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 	                 "grouped access in outer loop.\n");
       return false;
@@ -2906,7 +2906,7 @@ vect_analyze_data_ref_accesses (vec_info *vinfo)
   vec<data_reference_p> datarefs = vinfo->datarefs;
   struct data_reference *dr;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_analyze_data_ref_accesses ===\n");
 
@@ -3030,7 +3030,7 @@ vect_analyze_data_ref_accesses (vec_info *vinfo)
 		break;
 	    }
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "Detected interleaving ");
@@ -3060,7 +3060,7 @@ vect_analyze_data_ref_accesses (vec_info *vinfo)
     if (STMT_VINFO_VECTORIZABLE (vinfo_for_stmt (DR_STMT (dr))) 
         && !vect_analyze_data_ref_access (dr))
       {
-	if (thing_enabled_p ())
+	if (optinfo_enabled_p ())
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 	                   "not vectorized: complicated access pattern.\n");
 
@@ -3213,7 +3213,7 @@ dependence_distance_ge_vf (data_dependence_relation *ddr,
 	return false;
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "dependence distance between ");
@@ -3255,7 +3255,7 @@ vect_check_lower_bound (loop_vec_info loop_vinfo, tree expr, bool unsigned_p,
 	  {
 	    lower_bounds[i].unsigned_p = unsigned_p;
 	    lower_bounds[i].min_value = min_value;
-	    if (thing_enabled_p ())
+	    if (optinfo_enabled_p ())
 	      {
 		vect_location_writeln (OPT_RECORD_REMARK,
 				 "updating run-time check to ");
@@ -3267,7 +3267,7 @@ vect_check_lower_bound (loop_vec_info loop_vinfo, tree expr, bool unsigned_p,
       }
 
   vec_lower_bound lower_bound (expr, unsigned_p, min_value);
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "need a run-time check that ");
       dump_lower_bound (MSG_NOTE, lower_bound);
@@ -3353,7 +3353,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
   unsigned int i;
   tree length_factor;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_prune_runtime_alias_test_list ===\n");
 
@@ -3401,7 +3401,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 	  vec_object_pair new_pair (DDR_OBJECT_A (ddr), DDR_OBJECT_B (ddr));
 	  if (!compared_objects.add (new_pair))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK, "checking that ");
 		  dump_generic_expr (MSG_NOTE, TDF_SLIM, new_pair.first);
@@ -3426,7 +3426,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 	  && (vect_preserves_scalar_order_p (stmt_a, stmt_b)
 	      || vectorizable_with_step_bound_p (dr_a, dr_b, &lower_bound)))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "no need for alias check between ");
@@ -3449,7 +3449,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 	      || vect_small_gap_p (loop_vinfo, dr_b, lower_bound)))
 	{
 	  bool unsigned_p = dr_known_forward_stride_p (dr_a);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK, "no alias between ");
 	      dump_generic_expr (MSG_NOTE, TDF_SLIM, DR_REF (dr_a));
@@ -3525,7 +3525,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 					     segment_length_b,
 					     access_size_a,
 					     access_size_b);
-	  if (res >= 0 && thing_enabled_p ())
+	  if (res >= 0 && optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "can tell at compile time that ");
@@ -3543,7 +3543,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 
 	  if (res == 1)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_REMARK,
 				 "not vectorized: compilation time alias.\n");
 	      return false;
@@ -3571,7 +3571,7 @@ vect_prune_runtime_alias_test_list (loop_vec_info loop_vinfo)
 		   may_alias_ddrs.length (), count);
   if ((int) count > PARAM_VALUE (PARAM_VECT_MAX_VERSION_FOR_ALIAS_CHECKS))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "number of versioning for alias "
 			 "run-time tests exceeds %d "
@@ -3951,7 +3951,7 @@ vect_analyze_data_refs (vec_info *vinfo, poly_uint64 *min_vf)
   struct data_reference *dr;
   tree scalar_type;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "=== vect_analyze_data_refs ===\n");
 
@@ -3974,7 +3974,7 @@ vect_analyze_data_refs (vec_info *vinfo, poly_uint64 *min_vf)
 again:
       if (!dr || !DR_REF (dr))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 	                     "not vectorized: unhandled data-ref\n");
           return false;
@@ -4094,7 +4094,7 @@ again:
 
 	  if (gatherscatter == SG_NONE && !simd_lane_access)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: data ref analysis "
@@ -4111,7 +4111,7 @@ again:
 
       if (TREE_CODE (DR_BASE_ADDRESS (dr)) == INTEGER_CST)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_FAILURE,
                              "not vectorized: base addr of dr is a "
                              "constant\n");
@@ -4126,7 +4126,7 @@ again:
 
       if (TREE_THIS_VOLATILE (DR_REF (dr)))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: volatile type ");
@@ -4141,7 +4141,7 @@ again:
 
       if (stmt_can_throw_internal (stmt))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: statement can throw an "
@@ -4160,7 +4160,7 @@ again:
       if (TREE_CODE (DR_REF (dr)) == COMPONENT_REF
 	  && DECL_BIT_FIELD (TREE_OPERAND (DR_REF (dr), 1)))
 	{
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: statement is bitfield "
@@ -4185,7 +4185,7 @@ again:
 	      || (gimple_call_internal_fn (stmt) != IFN_MASK_LOAD
 		  && gimple_call_internal_fn (stmt) != IFN_MASK_STORE)))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      dump_printf_loc (MSG_MISSED_OPTIMIZATION,  vect_location,
 	                       "not vectorized: dr in a call ");
@@ -4219,7 +4219,7 @@ again:
 	  tree init_addr = fold_build_pointer_plus (base, init_offset);
 	  tree init_ref = build_fold_indirect_ref (init_addr);
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
                                "analyze in outer loop: ");
@@ -4232,7 +4232,7 @@ again:
 	    /* dr_analyze_innermost already explained the failure.  */
 	    return false;
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
                                "\touter base_address: ");
@@ -4261,7 +4261,7 @@ again:
 
       if (STMT_VINFO_DATA_REF (stmt_info))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: more than one data ref "
@@ -4289,7 +4289,7 @@ again:
 	  && VAR_P (TREE_OPERAND (DR_BASE_ADDRESS (dr), 0))
 	  && DECL_NONALIASED (TREE_OPERAND (DR_BASE_ADDRESS (dr), 0)))
 	{
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: base object not addressable "
@@ -4312,7 +4312,7 @@ again:
 	= get_vectype_for_scalar_type (scalar_type);
       if (!STMT_VINFO_VECTYPE (stmt_info))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
                                "not vectorized: no vectype for stmt: ");
@@ -4341,7 +4341,7 @@ again:
         }
       else
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "got vectype for stmt: ");
@@ -4366,7 +4366,7 @@ again:
 	    {
 	      STMT_VINFO_DATA_REF (stmt_info) = NULL;
 	      free_data_ref (dr);
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 				   (gatherscatter == GATHER) ?
@@ -4389,7 +4389,7 @@ again:
 	{
 	  if (nested_in_vect_loop_p (loop, stmt))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: not suitable for strided "
@@ -4621,7 +4621,7 @@ vect_create_addr_base_for_vector_ref (gimple *stmt,
 	mark_ptr_info_alignment_unknown (SSA_NAME_PTR_INFO (addr_base));
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "created ");
       dump_generic_expr (MSG_NOTE, TDF_SLIM, addr_base);
@@ -4748,7 +4748,7 @@ vect_create_data_ref_ptr (gimple *stmt, tree aggr_type, struct loop *at_loop,
      in LOOP.  */
   base_name = get_name (DR_BASE_ADDRESS (dr));
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       tree dr_base_type = TREE_TYPE (DR_BASE_OBJECT (dr));
       vect_location_writeln (OPT_RECORD_REMARK,
@@ -5078,7 +5078,7 @@ vect_grouped_store_supported (tree vectype, unsigned HOST_WIDE_INT count)
      be a power of two.  */
   if (count != 3 && exact_log2 (count) == -1)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "the size of the group of accesses"
 			 " is not a power of 2 or not eqaul to 3\n");
